com.google.cloud.dataflow.examples.complete

## Class TfIdf.ComputeTfIdf

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.PTransform<PCollection<KV<URI,String>>,PCollection<KV<String,KV<URI,Double>>>>
  - - com.google.cloud.dataflow.examples.complete.TfIdf.ComputeTfIdf

All Implemented Interfaces:
  HasDisplayData, Serializable

Enclosing class:
  TfIdf

    public static class TfIdf.ComputeTfIdf
    extends PTransform<PCollection<KV<URI,String>>,PCollection<KV<String,KV<URI,Double>>>>

A transform containing a basic TF-IDF pipeline. The input consists of KV objects where the key is the document's URI and the value is a piece of the document's content. The output is mapping from terms to scores for each document URI.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.google.cloud.dataflow.sdk.transforms.PTransform

`name`

### Constructor Summary

Constructors
Constructor and Description
`ComputeTfIdf()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PCollection<KV<String,KV<URI,Double>>>` `apply(PCollection<KV<URI,String>> uriToContent)`

### Methods inherited from class com.google.cloud.dataflow.sdk.transforms.PTransform

`getDefaultOutputCoder, getDefaultOutputCoder, getDefaultOutputCoder, getKindString, getName, populateDisplayData, toString, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ComputeTfIdf

    public ComputeTfIdf()

### Method Detail

#### apply

    public PCollection<KV<String,KV<URI,Double>>> apply(PCollection<KV<URI,String>> uriToContent)

Overrides:
  `apply` in class `PTransform<PCollection<KV<URI,String>>,PCollection<KV<String,KV<URI,Double>>>>`